Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.search
Class BufferListSet

    java.lang.Object
      org.gjt.sp.jedit.search.BufferListSet

All Implemented Interfaces:
  SearchFileSet

Direct Known Subclasses:
  AllBufferSet, DirectoryListSet

public abstract class BufferListSet
extends java.lang.Object
implements SearchFileSet

A file set for searching a user-specified list of buffers.

Version:
  $Id: BufferListSet.java,v 1.6 2004/02/22 20:00:54 spestov Exp $
Author:
  Slava Pestov

Constructor Summary
`BufferListSet()`

Method Summary
`protected abstract java.lang.String[]` | `_getFiles(java.awt.Component comp)` Note that the paths in the returned list must be fully canonicalized.
`java.lang.String` | `getCode()` Returns the BeanShell code that will recreate this file set.
`int` | `getFileCount(View view)` Returns the number of files in this file set.
`java.lang.String[]` | `getFiles(View view)` Returns all path names in this file set.
`java.lang.String` | `getFirstFile(View view)` Returns the first file to search.
`java.lang.String` | `getNextFile(View view, java.lang.String file)` Returns the next file to search.
`void` | `invalidateCachedList()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferListSet

    public BufferListSet()

Method Detail

### getFirstFile

    public java.lang.String getFirstFile(View view)

  Description copied from interface: `SearchFileSet`
  Returns the first file to search.

  Specified by:
    `getFirstFile` in interface `SearchFileSet`
  Parameters:
    `view` - The view performing the search

### getNextFile

    public java.lang.String getNextFile(View view,
                                        java.lang.String file)

  Description copied from interface: `SearchFileSet`
  Returns the next file to search.

  Specified by:
    `getNextFile` in interface `SearchFileSet`
  Parameters:
    `view` - The view performing the search
    `file` - The last file searched

### getFiles

    public java.lang.String[] getFiles(View view)

  Description copied from interface: `SearchFileSet`
  Returns all path names in this file set.

  Specified by:
    `getFiles` in interface `SearchFileSet`
  Parameters:
    `view` - The view performing the search

### getFileCount

    public int getFileCount(View view)

  Description copied from interface: `SearchFileSet`
  Returns the number of files in this file set.

  Specified by:
    `getFileCount` in interface `SearchFileSet`

### getCode

    public java.lang.String getCode()

  Description copied from interface: `SearchFileSet`
  Returns the BeanShell code that will recreate this file set.

  Specified by:
    `getCode` in interface `SearchFileSet`

### invalidateCachedList

    public void invalidateCachedList()

### _getFiles

    protected abstract java.lang.String[] _getFiles(java.awt.Component comp)

  Note that the paths in the returned list must be fully canonicalized.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD